#include "TestQmlStreamingApp.h"

#include <QDebug>
#include <QtStudio3D/Q3DSViewerSettings>
#include <QtStudio3D/Q3DSPresentation>

TestQmlStreamingApp::TestQmlStreamingApp(int &argc, char **argv) :
    QGuiApplication(argc, argv)
{
    m_context.create();

    m_window.setSurfaceType(QSurface::OpenGLSurface);
    m_window.setFormat(m_context.format());
    m_window.create();

    m_viewer.presentation()->setSource(QUrl(QStringLiteral("qrc:/ClusterMain.uia")));

    m_viewer.setUpdateInterval(0);
    m_viewer.settings()->setShowRenderStats(false);
    m_viewer.settings()->setScaleMode(Q3DSViewerSettings::ScaleModeCenter);

    m_viewer.initialize(&m_window, &m_context);

    m_window.resize(800, 480);
    m_window.show();
}
